#
# spec file for package perl-Palm-PDB
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Palm-PDB
Version:        1.400
Release:        1.1
%define cpan_name Palm-PDB
Summary:        Parse Palm database files
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Palm-PDB/
Source:         http://www.cpan.org/authors/id/C/CJ/CJM/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
%{perl_requires}

%description
The Palm::PDB module provides a framework for reading and writing database
files for use on PalmOS devices such as the PalmPilot. It can read and
write both Palm Database ('.pdb') and Palm Resource ('.prc') files.

By itself, the PDB module is not terribly useful; it is intended to be used
in conjunction with supplemental modules for specific types of databases,
such as Palm::Raw or Palm::Memo.

The Palm::PDB module encapsulates the common work of parsing the structure
of a Palm database. The /Load function reads the file, then passes the
individual chunks (header, records, etc.) to application-specific functions
for processing. Similarly, the /Write function calls application-specific
functions to get the individual chunks, then writes them to a file.

%prep
%setup -q -n %{cpan_name}-%{version}
find . -type f -print0 | xargs -0 chmod 644

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes examples LICENSE README

%changelog
* Mon Apr 13 2015 coolo@suse.com
- updated to 1.400
  see /usr/share/doc/packages/perl-Palm-PDB/Changes
  1.400  2015-03-07  Release by Christopher J. Madsen
  - Bump version number to be greater than all previous releases.
  Palm::PDB 1.36 was released in p5-Palm 1.008, but p5-Palm 1.009
  contained Palm::PDB 1.009.  Version numbers shouldn't go backwards.
  (reported by David Cantrell - GitHub#1)
* Tue Feb 17 2015 coolo@suse.com
- initial package 1.016
  * created by cpanspec 1.78.08
